CFG80211_MGMT_TX_STA(9)

NAME
cfg80211_mgmt_tx_status - notification of TX status for management frame

SYNOPSIS

void cfg80211_mgmt_tx_status(struct wireless_dev * wdev, u64 cookie, const u8 * buf, size_t len, bool ack, gfp_t gfp);

ARGUMENTS

wdev
    wireless device receiving the frame

cookie
    Cookie returned by cfg80211_ops::mgmt_tx

buf
    Management frame (header + body)

len
    length of the frame data

ack
    Whether frame was acknowledged

gfp
    context flags

DESCRIPTION

This function is called whenever a management frame was requested to be

TRANSMITTED WITH CFG80211_OPS

:mgmt_tx to report the TX status of the transmission attempt.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT